Page MenuHomePhabricator

Message when moving pages in content models that don't support redirects is wrong.
Closed, ResolvedPublic

Description

The message at the top of Special:MovePage claims "The old title will become a redirect page to the new title. ", however this is incorrect when the page being moved is a module, a TemplateStyles CSS page, or another page of a type that can't be redirected.

Details

Related Gerrit Patches:

Event Timeline

Pppery created this task.Feb 24 2019, 4:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2019, 4:15 AM
Pppery updated the task description. (Show Details)Feb 24 2019, 4:15 AM

Another type is pages with the content model "MassMessageListContent".

DannyS712 claimed this task.Jul 8 2019, 3:27 AM
Restricted Application added a project: User-DannyS712. · View Herald TranscriptJul 8 2019, 3:27 AM

Change 521196 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Make Special:MovePage note about redirects dependent on content model

https://gerrit.wikimedia.org/r/521196

Change 521196 merged by jenkins-bot:
[mediawiki/core@master] Make Special:MovePage note about redirects dependent on content model

https://gerrit.wikimedia.org/r/521196

DannyS712 closed this task as Resolved.Aug 2 2019, 4:50 PM

Change was merged and deployed, confirmed to work on beta cluster